<script setup lang="ts">
import {UpyunAccess} from '~/utils/upyun';

const props = defineProps({
  src: {
    type: String
  }
});
const url = props.src && props.src.includes('https://') ? await UpyunAccess.getSign(props.src) : props.src;
</script>

<template>
  <audio controls :src="url"></audio>
</template>

<style scoped lang="less">

</style>
